# eric6.Helpviewer.FeaturePermissions.FeaturePermissionsDialog

Module implementing the feature permission dialog.

### Global Attributes

None

### Classes

FeaturePermissionsDialog | Class implementing the feature permission dialog.

### Functions

None

## FeaturePermissionsDialog

Class implementing the feature permission dialog.

### Derived from

QDialog, Ui_FeaturePermissionsDialog

### Class Attributes

None

### Class Methods

None

### Methods

FeaturePermissionsDialog | Constructor
__updateGeoButtons | Private method to update the geolocation buttons.
__updateNotifButtons | Private method to update the notifications buttons.
getData | Public method to retrieve the dialog contents.
on_geoList_itemSelectionChanged | Private slot handling changes in the list of selected geolocation items.
on_geoRemoveAllButton_clicked | Private slot to remove all geolocation entries.
on_geoRemoveButton_clicked | Private slot to remove selected geolocation entries.
on_notifList_itemSelectionChanged | Private slot handling changes in the list of selected notifications items.
on_notifRemoveAllButton_clicked | Private slot to remove all notification entries.
on_notifRemoveButton_clicked | Private slot to remove selected notification entries.

### Static Methods

None

#### FeaturePermissionsDialog (Constructor)

FeaturePermissionsDialog(featurePermissions, parent=None)

Constructor

featurePermissions (dict of dict of list)
  dictionary with remembered feature permissions
parent (QWidget)
  reference to the parent widget

#### FeaturePermissionsDialog.__updateGeoButtons

__updateGeoButtons()

Private method to update the geolocation buttons.

#### FeaturePermissionsDialog.__updateNotifButtons

__updateNotifButtons()

Private method to update the notifications buttons.

#### FeaturePermissionsDialog.getData

getData()

Public method to retrieve the dialog contents.

Returns:
  new feature permission settings

Return Type:
  dict of dict of list

#### FeaturePermissionsDialog.on_geoList_itemSelectionChanged

on_geoList_itemSelectionChanged()

Private slot handling changes in the list of selected geolocation items.

#### FeaturePermissionsDialog.on_geoRemoveAllButton_clicked

on_geoRemoveAllButton_clicked()

Private slot to remove all geolocation entries.

#### FeaturePermissionsDialog.on_geoRemoveButton_clicked

on_geoRemoveButton_clicked()

Private slot to remove selected geolocation entries.

#### FeaturePermissionsDialog.on_notifList_itemSelectionChanged

on_notifList_itemSelectionChanged()

Private slot handling changes in the list of selected notifications items.

#### FeaturePermissionsDialog.on_notifRemoveAllButton_clicked

on_notifRemoveAllButton_clicked()

Private slot to remove all notification entries.

#### FeaturePermissionsDialog.on_notifRemoveButton_clicked

on_notifRemoveButton_clicked()

Private slot to remove selected notification entries.

Up